#!/usr/bin/gnuplot

cm = 1.e-2  # m
mu = 1.e-6  # m
nm = 1.e-9  # m
k = 1.38e-23  # J K^-1
h = 6.63e-34  # J s
c = 299792458.  # m s^-1
R_S = 6.957e8  # m
M_S = 1.989e30  # kg
pc = 3.08567758e16  # m
G = 6.67430e-11  # kg^-2 m^3 s^-2

T = 30000.  # K
R1 = 19.5*R_S
R2 = 10.3*R_S
M3 = 43.*M_S
logg3 = 3.54
R3 = sqrt(G*M3/(10.**logg3*cm))
d = 2300.*pc

B_lambda(lambda,T) = 2.*h*c**2/lambda**5 * 1./(exp(h*c/(lambda*k*T))-1.)

print "R1 = ", R1/R_S, " R_S"
print "R2 = ", R2/R_S, " R_S"
print "R3 = ", R3/R_S, " R_S"

########################################################################

set xl "lambda [mu]"
set yl "Phi_lambda [J m^-2 m^-1]"

set xr [0.1:100]
set logscale xy

tmp= 367*nm/mu; set label "U" at tmp,graph 1.01 center; set arrow from tmp,graph 0 rto 0,graph 1 nohead lt 0
tmp= 436*nm/mu; set label "B" at tmp,graph 1.01 center;
tmp= 545*nm/mu; set label "V" at tmp,graph 1.01 center;
tmp= 720*nm/mu; set label "R" at tmp,graph 1.01 center;
tmp= 900*nm/mu; set label "I" at tmp,graph 1.01 center;
tmp=1220*nm/mu; set label "J" at tmp,graph 1.01 center;
tmp=1630*nm/mu; set label "H" at tmp,graph 1.01 center;
tmp=2190*nm/mu; set label "K" at tmp,graph 1.01 center; set arrow from tmp,graph 0 rto 0,graph 1 nohead lt 0

p \
  "Sed.dat" u ($1/mu):($5*10.0**(-0.4*$3)) w p lw 2,\
  "Sed.dat_WOREDDENING" u ($1/mu):($5*10.0**(-0.4*$3)) w p lw 2,\
  "Sed.tmp" u ($1/mu):($5*10.0**(-0.4*$3)) w p pt 1 lc 'gray',\
  "../../../qzcar/data_20211213_vizier/sed_2500pc/Sed.dat" u ($1/mu):($5*10.0**(-0.4*$3)) w l lc 'cyan' t "old dereddened",\
  pi*B_lambda(x*mu,T)*(R1**2+R2**2+R3**2)/d**2 w l lc 'orange' lw 1 dt 2

pa -1

set term png small
set out "Sed.png"
rep


